# libinput record
version: 1
ndevices: 1
libinput:
  version: "1.28.0"
  git: "unknown"
system:
  os: "fedora:42"
  kernel: "6.14.0-0.rc3.29.fc42.x86_64"
  dmi: "dmi:bvnSeaBIOS:bvr1.16.3-3.fc41:bd04/01/2014:br0.0:svnQEMU:pnStandardPC(Q35+ICH9,2009):pvrpc-q35-9.1:cvnQEMU:ct1:cvrpc-q35-9.1:sku:"
devices:
- node: /dev/input/event1
  evdev:
    # Name: AT Translated Set 2 keyboard
    # ID: bus 0x0011 vendor 0x0001 product 0x0001 version 0xab41
    # Supported Events:
    # Event type 0 (EV_SYN)
    # Event type 1 (EV_KEY)
    #   Event code 1 (KEY_ESC)
    #   Event code 2 (KEY_1)
    #   Event code 3 (KEY_2)
    #   Event code 4 (KEY_3)
    #   Event code 5 (KEY_4)
    #   Event code 6 (KEY_5)
    #   Event code 7 (KEY_6)
    #   Event code 8 (KEY_7)
    #   Event code 9 (KEY_8)
    #   Event code 10 (KEY_9)
    #   Event code 11 (KEY_0)
    #   Event code 12 (KEY_MINUS)
    #   Event code 13 (KEY_EQUAL)
    #   Event code 14 (KEY_BACKSPACE)
    #   Event code 15 (KEY_TAB)
    #   Event code 16 (KEY_Q)
    #   Event code 17 (KEY_W)
    #   Event code 18 (KEY_E)
    #   Event code 19 (KEY_R)
    #   Event code 20 (KEY_T)
    #   Event code 21 (KEY_Y)
    #   Event code 22 (KEY_U)
    #   Event code 23 (KEY_I)
    #   Event code 24 (KEY_O)
    #   Event code 25 (KEY_P)
    #   Event code 26 (KEY_LEFTBRACE)
    #   Event code 27 (KEY_RIGHTBRACE)
    #   Event code 28 (KEY_ENTER)
    #   Event code 29 (KEY_LEFTCTRL)
    #   Event code 30 (KEY_A)
    #   Event code 31 (KEY_S)
    #   Event code 32 (KEY_D)
    #   Event code 33 (KEY_F)
    #   Event code 34 (KEY_G)
    #   Event code 35 (KEY_H)
    #   Event code 36 (KEY_J)
    #   Event code 37 (KEY_K)
    #   Event code 38 (KEY_L)
    #   Event code 39 (KEY_SEMICOLON)
    #   Event code 40 (KEY_APOSTROPHE)
    #   Event code 41 (KEY_GRAVE)
    #   Event code 42 (KEY_LEFTSHIFT)
    #   Event code 43 (KEY_BACKSLASH)
    #   Event code 44 (KEY_Z)
    #   Event code 45 (KEY_X)
    #   Event code 46 (KEY_C)
    #   Event code 47 (KEY_V)
    #   Event code 48 (KEY_B)
    #   Event code 49 (KEY_N)
    #   Event code 50 (KEY_M)
    #   Event code 51 (KEY_COMMA)
    #   Event code 52 (KEY_DOT)
    #   Event code 53 (KEY_SLASH)
    #   Event code 54 (KEY_RIGHTSHIFT)
    #   Event code 55 (KEY_KPASTERISK)
    #   Event code 56 (KEY_LEFTALT)
    #   Event code 57 (KEY_SPACE)
    #   Event code 58 (KEY_CAPSLOCK)
    #   Event code 59 (KEY_F1)
    #   Event code 60 (KEY_F2)
    #   Event code 61 (KEY_F3)
    #   Event code 62 (KEY_F4)
    #   Event code 63 (KEY_F5)
    #   Event code 64 (KEY_F6)
    #   Event code 65 (KEY_F7)
    #   Event code 66 (KEY_F8)
    #   Event code 67 (KEY_F9)
    #   Event code 68 (KEY_F10)
    #   Event code 69 (KEY_NUMLOCK)
    #   Event code 70 (KEY_SCROLLLOCK)
    #   Event code 71 (KEY_KP7)
    #   Event code 72 (KEY_KP8)
    #   Event code 73 (KEY_KP9)
    #   Event code 74 (KEY_KPMINUS)
    #   Event code 75 (KEY_KP4)
    #   Event code 76 (KEY_KP5)
    #   Event code 77 (KEY_KP6)
    #   Event code 78 (KEY_KPPLUS)
    #   Event code 79 (KEY_KP1)
    #   Event code 80 (KEY_KP2)
    #   Event code 81 (KEY_KP3)
    #   Event code 82 (KEY_KP0)
    #   Event code 83 (KEY_KPDOT)
    #   Event code 85 (KEY_ZENKAKUHANKAKU)
    #   Event code 86 (KEY_102ND)
    #   Event code 87 (KEY_F11)
    #   Event code 88 (KEY_F12)
    #   Event code 89 (KEY_RO)
    #   Event code 90 (KEY_KATAKANA)
    #   Event code 91 (KEY_HIRAGANA)
    #   Event code 92 (KEY_HENKAN)
    #   Event code 93 (KEY_KATAKANAHIRAGANA)
    #   Event code 94 (KEY_MUHENKAN)
    #   Event code 95 (KEY_KPJPCOMMA)
    #   Event code 96 (KEY_KPENTER)
    #   Event code 97 (KEY_RIGHTCTRL)
    #   Event code 98 (KEY_KPSLASH)
    #   Event code 99 (KEY_SYSRQ)
    #   Event code 100 (KEY_RIGHTALT)
    #   Event code 102 (KEY_HOME)
    #   Event code 103 (KEY_UP)
    #   Event code 104 (KEY_PAGEUP)
    #   Event code 105 (KEY_LEFT)
    #   Event code 106 (KEY_RIGHT)
    #   Event code 107 (KEY_END)
    #   Event code 108 (KEY_DOWN)
    #   Event code 109 (KEY_PAGEDOWN)
    #   Event code 110 (KEY_INSERT)
    #   Event code 111 (KEY_DELETE)
    #   Event code 112 (KEY_MACRO)
    #   Event code 113 (KEY_MUTE)
    #   Event code 114 (KEY_VOLUMEDOWN)
    #   Event code 115 (KEY_VOLUMEUP)
    #   Event code 116 (KEY_POWER)
    #   Event code 117 (KEY_KPEQUAL)
    #   Event code 118 (KEY_KPPLUSMINUS)
    #   Event code 119 (KEY_PAUSE)
    #   Event code 121 (KEY_KPCOMMA)
    #   Event code 122 (KEY_HANGEUL)
    #   Event code 123 (KEY_HANJA)
    #   Event code 124 (KEY_YEN)
    #   Event code 125 (KEY_LEFTMETA)
    #   Event code 126 (KEY_RIGHTMETA)
    #   Event code 127 (KEY_COMPOSE)
    #   Event code 128 (KEY_STOP)
    #   Event code 140 (KEY_CALC)
    #   Event code 142 (KEY_SLEEP)
    #   Event code 143 (KEY_WAKEUP)
    #   Event code 155 (KEY_MAIL)
    #   Event code 156 (KEY_BOOKMARKS)
    #   Event code 157 (KEY_COMPUTER)
    #   Event code 158 (KEY_BACK)
    #   Event code 159 (KEY_FORWARD)
    #   Event code 163 (KEY_NEXTSONG)
    #   Event code 164 (KEY_PLAYPAUSE)
    #   Event code 165 (KEY_PREVIOUSSONG)
    #   Event code 166 (KEY_STOPCD)
    #   Event code 172 (KEY_HOMEPAGE)
    #   Event code 173 (KEY_REFRESH)
    #   Event code 183 (KEY_F13)
    #   Event code 184 (KEY_F14)
    #   Event code 185 (KEY_F15)
    #   Event code 193 (KEY_F23)
    #   Event code 217 (KEY_SEARCH)
    #   Event code 226 (KEY_MEDIA)
    # Event type 4 (EV_MSC)
    #   Event code 4 (MSC_SCAN)
    # Event type 17 (EV_LED)
    #   Event code 0 (LED_NUML)
    #       State 1
    #   Event code 1 (LED_CAPSL)
    #       State 0
    #   Event code 2 (LED_SCROLLL)
    #       State 0
    # Event type 20 (EV_REP)
    #   Event code 0 (REP_DELAY)
    #   Event code 1 (REP_PERIOD)
    # Properties:
    name: "AT Translated Set 2 keyboard"
    id: [17, 1, 1, 43841]
    codes:
      0: [0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15] # EV_SYN
      1: [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31, 32, 33, 34, 35, 36, 37, 38, 39, 40, 41, 42, 43, 44, 45, 46, 47, 48, 49, 50, 51, 52, 53, 54, 55, 56, 57, 58, 59, 60, 61, 62, 63, 64, 65, 66, 67, 68, 69, 70, 71, 72, 73, 74, 75, 76, 77, 78, 79, 80, 81, 82, 83, 85, 86, 87, 88, 89, 90, 91, 92, 93, 94, 95, 96, 97, 98, 99, 100, 102, 103, 104, 105, 106, 107, 108, 109, 110, 111, 112, 113, 114, 115, 116, 117, 118, 119, 121, 122, 123, 124, 125, 126, 127, 128, 140, 142, 143, 155, 156, 157, 158, 159, 163, 164, 165, 166, 172, 173, 183, 184, 185, 193, 217, 226] # EV_KEY
      4: [4] # EV_MSC
      17: [0, 1, 2] # EV_LED
      20: [0, 1] # EV_REP
    properties: []
  udev:
    properties:
    - ID_INPUT=1
    - ID_INPUT_KEY=1
    - ID_INPUT_KEYBOARD=1
    - LIBINPUT_DEVICE_GROUP=11/1/1:isa0060/serio0
    - DRIVER=atkbd
  quirks:
  - AttrKeyboardIntegration=internal
  events:
  # Current time is 07:13:48
  - evdev:
    - [  0,      0,   4,   4,      30] # EV_MSC / MSC_SCAN                 30 (obfuscated)
    - [  0,      0,   1,  28,       0] # EV_KEY / KEY_ENTER                 0
    - [  0,      0,   0,   0,       0] # ------------ SYN_REPORT (0) ---------- +0ms
  - evdev:
    - [  0, 748291,   4,   4,      30] # EV_MSC / MSC_SCAN                 30 (obfuscated)
    - [  0, 748291,   1,  30,       1] # EV_KEY / KEY_A                     1 (obfuscated)
    - [  0, 748291,   0,   0,       0] # ------------ SYN_REPORT (0) ---------- +748ms
  - evdev:
    - [  0, 925417,   4,   4,      30] # EV_MSC / MSC_SCAN                 30 (obfuscated)
    - [  0, 925417,   1,  30,       0] # EV_KEY / KEY_A                     0 (obfuscated)
    - [  0, 925417,   0,   0,       0] # ------------ SYN_REPORT (0) ---------- +177ms
  - evdev:
    - [  1, 225754,   4,   4,      30] # EV_MSC / MSC_SCAN                 30 (obfuscated)
    - [  1, 225754,   1,  30,       1] # EV_KEY / KEY_A                     1 (obfuscated)
    - [  1, 225754,   0,   0,       0] # ------------ SYN_REPORT (0) ---------- +300ms
  - evdev:
    - [  1, 383550,   4,   4,      30] # EV_MSC / MSC_SCAN                 30 (obfuscated)
    - [  1, 383550,   1,  30,       0] # EV_KEY / KEY_A                     0 (obfuscated)
    - [  1, 383550,   0,   0,       0] # ------------ SYN_REPORT (0) ---------- +158ms
  - evdev:
    - [  1, 678406,   4,   4,      30] # EV_MSC / MSC_SCAN                 30 (obfuscated)
    - [  1, 678406,   1,  30,       1] # EV_KEY / KEY_A                     1 (obfuscated)
    - [  1, 678406,   0,   0,       0] # ------------ SYN_REPORT (0) ---------- +295ms
  - evdev:
    - [  1, 833863,   4,   4,      30] # EV_MSC / MSC_SCAN                 30 (obfuscated)
    - [  1, 833863,   1,  30,       0] # EV_KEY / KEY_A                     0 (obfuscated)
    - [  1, 833863,   0,   0,       0] # ------------ SYN_REPORT (0) ---------- +155ms
  # Current time is 07:13:50
  - evdev:
    - [  2, 213688,   4,   4,      30] # EV_MSC / MSC_SCAN                 30 (obfuscated)
    - [  2, 213688,   1,  58,       1] # EV_KEY / KEY_CAPSLOCK              1
    - [  2, 213688,   0,   0,       0] # ------------ SYN_REPORT (0) ---------- +380ms
  - evdev:
    - [  2, 306120,   4,   4,      30] # EV_MSC / MSC_SCAN                 30 (obfuscated)
    - [  2, 306120,   1,  30,       1] # EV_KEY / KEY_A                     1 (obfuscated)
    - [  2, 306120,   0,   0,       0] # ------------ SYN_REPORT (0) ---------- +93ms
